Subject: Re: [Last-Call] Last Call: <draft-ietf-dnsop-no-response-issue-14.txt> (A Common Operational Problem in DNS Servers - Failure To Communicate.) to Best Current Practice

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 16 Dec 2019 10:49:10 +0100

On Thu, Dec 05, 2019 at 06:00:39PM -0800,
 The IESG <[email-masked]> wrote 
 a message of 53 lines which said:

> The IESG has received a request from the Domain Name System Operations WG
> (dnsop) to consider the following document: - 'A Common Operational Problem
> in DNS Servers - Failure To Communicate.'
>   <draft-ietf-dnsop-no-response-issue-14.txt> as Best Current Practice

I've read and reviewed it. I also tested all the dig commands against
NSD and Knot (I assume they were originally tested against BIND) and
checked the results.

IMHO, this is an important document, worth of publication.

The document, despite its title, deal only with authoritative name
servers, not resolvers (RFC 8499, section 6 clearly makes the
distinction). It would be a good idea to make that explicit.

Also, I agree with the comments in
<https://mailarchive.ietf.org/arch/msg/dnsop/_Nq8PAVOapIVal2BS7P-jlWmnuc>
and <https://mailarchive.ietf.org/arch/msg/dnsop/fp7ouxs-BlHWVkqMDRtM857ROpk>:
section 3 is confusing, sometimes it describes good behaviour,
sometimes bad behaviour, and sometimes the way to test if it's good or
bad.